<template>
  <div>
    <ul class="list-group">
      <li
        v-for="(fruta, index) in arrayOrdenado"
        :key="index"
        class="list-group-item d-flex justify-content-between align-items-center"
      >
        <div class="w-100" @click="aumentar(index)">
          {{ index + 1 }} - {{ fruta.nombre }}
        </div>

        <span class="badge fs-6 bg-primary rounded-pill">
          {{ fruta.cantidad }}
        </span>
      </li>
    </ul>
    <button @click="limpiar" class="btn btn-danger btn-block mt-2 w-100">
      Limpiar
    </button>
  </div>
</template>

<script>
import { mapState, mapMutations } from "vuex";
export default {
  name: "Lista",
  computed: {
    ...mapState(["frutas"]),
    arrayOrdenado() {
      return this.frutas.sort((a, b) => b.cantidad - a.cantidad);
    },
  },
  methods: {
    ...mapMutations(["aumentar", "limpiar"]),
  },
};
</script>

<style scoped></style>
>
